Index: /palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/ncl_preferences.ncl	(revision 218)
@@ -1409,13 +1925,72 @@
       ; data type: float
       ;
+      ; example: norm_y = 1.
+      ;
       ; default:   1. (no normalising)
       ;***************************************************
-      if (.not. isvar("normy"))then     
+      if (.not. isvar("norm_y"))then     
       
        
-         normy = 1.
-	 
-	 
-      end if 	 
+         norm_y = 1.
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --unit_x--unit_y-- UNITS OF X-, Y-AXES
+      ;
+      ; unit of the x-axis can be set if norm_x is unequal 1, otherwise the unit is [1/m]; by default no unit is set for the y-axis 
+      ; 
+      ; data type: string, 
+      ;
+      ; example: unit_x = "100/m"
+      ;
+      ; default:   " " 
+      ;***************************************************
+      if(.not. isvar("unit_x"))then      
+      	 
+         unit_x = " "	 
+	 
+      end if
+      if(.not. isvar("unit_y"))then      
+      	 
+         unit_y = " "	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.02
+      ;
+      ; default:   0.02 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.02
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --font_size_legend-- FONT SIZE OF LEGEND STRINGS 
+      ;
+      ; font size of the legend can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size_legend = 0.2
+      ;
+      ; default:   0.2 
+      ;***************************************************
+      if(.not. isvar("font_size_legend"))then
+      
+      	 
+         font_size_legend = 0.2
+	 
+	 
+      end if	 
       ;***************************************************
      
@@ -1431,23 +2006,66 @@
       ; REQUIRED --file_1-- INPUT FILE
       ;
-      ; input file produced by PALM; please declare path and name
-      ;
-      ; data type: string
+      ; input file produced by PALM; if there is more than one file for all timesteps of a job chain, 
+      ; declare path and file name without cycle number and ".nc" (first and last cycle numbers are given with the parameters 'start_f' and 'end_f'); 
+      ; otherwise declare path and full file name
+      ;
+      ; data type: string
+      ;
+      ; example: file_1 = "/path_to_file/file_ts"      if you use more than one cycle number
+      ;          file_1 = "/path_to_file/file_ts.4.nc" if you use one file (e.g. with cycle number 4)
       ;
       ; default:   "File in" 
       ;***************************************************
-      if (.not. isvar("file_1"))then  
+      if(.not. isvar("file_1"))then
+
+
+         file_1 = "File in" 
+	 
+	 
+      end if
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --start_f-- START OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the first cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   start_f = 3 (if first file: example_ts.3.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("start_f"))then  
       
           
-         file_1 = "File in"
-	 
-	 
-      end if 	 
+         start_f = -1
+	 
+	 
+      end if 
+      ;***************************************************
+      ; REQUIRED if more than one file of a job chain --end_f-- END OF CYCLIC NUMBER
+      ;
+      ; if there is more than one file for all timesteps of a job chain, declare the last cyclicnumber which contains timesteps you'd like to use
+      ;
+      ; data type: integer
+      ;
+      ; example:   end_f = 48 (if last file: example_ts.48.nc)
+      ;
+      ; default:   -1  
+      ;***************************************************
+      if (.not. isvar("end_f"))then  
+      
+          
+         end_f = -1
+	 
+	 
+      end if 
       ;***************************************************
       ; OPTIONAL --format_out-- OUTPUT FORMAT
       ;
-      ; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
-      ;
-      ; data type: string
+      ; format of the output file; supported file formats: x11, pdf, ps, eps, epsi or ncgm 
+      ;
+      ; data type: string
+      ;
+      ; example: format_out = "pdf"
       ;
       ; default:   "x11" 
@@ -1463,7 +2081,9 @@
       ; OPTIONAL --file_out-- OUTPUT FILE
       ;
-      ; please declare path and name 
-      ;
-      ; data type: string
+      ; path and name of the output file
+      ;
+      ; data type: string
+      ;
+      ; example: file_out = "/home/path_to_output/test_ts"
       ;
       ; default:   "~/test_ts" 
@@ -1477,9 +2097,11 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_columns-- NUMBER OF ROWS
+      ; OPTIONAL --no_columns-- NUMBER OF COLUMNS
       ;
       ; number of plots in one row 
       ;
       ; data type: integer
+      ; 
+      ; example: no_columns = 1
       ;
       ; default:   1
@@ -1493,16 +2115,18 @@
       end if 	 
       ;***************************************************
-      ; OPTIONAL --no_lines-- NUMBER OF COLUMNS
+      ; OPTIONAL --no_rows-- NUMBER OF ROWS
       ;
       ; number of plots in one column 
       ;
       ; data type: integer
+      ; 
+      ; example: no_rows = 2
       ;
       ; default:   2 
       ;***************************************************
-      if (.not. isvar("no_lines"))then
-      
-      	 
-         no_lines = 2
+      if (.not. isvar("no_rows"))then
+      
+      	 
+         no_rows = 2
 	 
 	 
@@ -1511,10 +2135,11 @@
       ; OPTIONAL --var-- OUTPUT VARIABLES
       ;
-      ; names of output variables; please inidcate them with one comma before and after each variable;
-      ; e.g.: var=",u,v,w," (the windcomponents u, v and w will be plotted)
+      ; names of output variables; inidcate them with one comma before and after each variable
       ;
       ; data type: string 
-      ;
-      ; default:   "all" (all available variables will be plotted)
+      ; 
+      ; example: var = ",u,v,w"
+      ;
+      ; default:   "all" (all available variables are plotted)
       ;***************************************************
       if (.not. isvar("var"))then
@@ -1528,9 +2153,11 @@
       ; OPTIONAL --start_time_step-- FIRST TIME STEP
       ;
-      ; first time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; first time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'start_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   start_time_step = 0.5 
+      ;
       ; default:   -1.d (first available time step)
       ;***************************************************
@@ -1545,9 +2172,11 @@
       ; OPTIONAL --end_time_step-- LAST TIME STEP
       ;
-      ; last time step of plot; you don't have to specify a precise time value from the input file,
-      ; it will be rounded to the next existent time step
+      ; last time step of plot; there is no need to specify a precise time value from the input file,
+      ; 'end_time_step' is rounded to the next existent time step
       ;
       ; data type: double; dimension: [hour]
       ;
+      ; example:   end_time_step = 2.0
+      ;
       ; default:   -1.d (last available time step)
       ;***************************************************
@@ -1562,9 +2191,11 @@
       ; OPTIONAL --over-- OVERLAYING
       ;
-      ; predefined overlaying of standard variables will be switched on [=1] or off [=0];
+      ; predefined overlaying of standard variables are switched on [=1] or off [=0];
       ; this feature cannot be used with statistic regions
       ;
       ; data type: integer
       ;
+      ; example: over = 0
+      ;
       ; default:   0 
       ;***************************************************
@@ -1575,5 +2206,59 @@
 	 
 	 
-      end if 
+      end if
+      ;***************************************************
+      ; OPTIONAL --font_size-- FONT SIZE OF STRINGS 
+      ;
+      ; font size can be changed to fit to the current plot
+      ;
+      ; data type: float
+      ;
+      ; example: font_size = 0.07
+      ;
+      ; default:   0.07 
+      ;***************************************************
+      if(.not. isvar("font_size"))then
+      
+      	 
+         font_size = 0.07
+	 
+	 
+      end if 
+      ;***************************************************
+      ; OPTIONAL --norm_t-- NORMALISING X-AXIS OF TIMESERIES PLOTS (T-AXIS)
+      ;
+      ; normalising the x-axis with the given value; the unit can explicitly set; by default no normalising and unit is set to [s]
+      ;
+      ; data type: float
+      ;
+      ; example: norm_t = 3600
+      ;
+      ; default:   1. 
+      ;***************************************************
+      if(.not. isvar("normt"))then
+      
+      	 
+         norm_t = 1.
+	 
+	 
+      end if
+      ;***************************************************
+      ; OPTIONAL --unit_t-- UNIT OF X-AXIS OF TIMESERIES PLOTS (T-AXIS)
+      ;
+      ; unit of the x-axis can be set; by default unit is set to [s]
+      ;
+      ; data type: string
+      ;
+      ; example: unit_t = "h"
+      ;
+      ; default:   " " 
+      ;***************************************************
+      if(.not. isvar("unitt"))then
+      
+      	 
+         unit_t = " "
+	 
+	 
+      end if
       ;***************************************************
 
